
pfSense - Bug #9526

/var/log/nginx/error.log - Never cleared, invisible, always grows until /var overflows :(

05/15/2019 07:26 PM - Pete Holzmann
Description

SYMPTOMS

My /var partition overflowed, causing havoc.

Found a huge /log/nginx/error.log with many weeks of data

ANALYSIS AND IMPACT

This log file is essentially an invisible time bomb for pfSense admins:

It is invisible in the UI

It is not specifically configured in the nginx conf file (uses default /var/log/nginx/error.log)

It is not referenced nor cleared by any log rotation

Status -> System Logs -> Settings -> Reset Log Files does not clear this log

(Thus, NOT true in docs: "Pressing this button will clear log data from all of the logs managed by the pfSense base system.")

It is not cleared on reboot

IOW, this error.log grows ad nauseum until pfSense dies. :(

I'm running 2.4.4p2

History

#1 - 05/15/2019 07:28 PM - Jim Pingle

- Status changed from New to Duplicate

- Priority changed from Urgent to Normal

Will be irrelevant soon due to #8350

#2 - 05/15/2019 07:30 PM - Pete Holzmann

Jim Pingle wrote:

Will be irrelevant soon due to #8350

 In the meantime, a real killer ;)

#3 - 05/15/2019 08:22 PM - Pete Holzmann

Half-baked workaround: add an earlyshellcmd of

 rm /var/log/nginx/error.log

 This is easily accomplished with the shellcmd pkg

Only effective on reboot but better than nothing.

(Does #8350 rearchitect so this error log is visible to the administrator? If so, good going, Jim :) )
#4 - 05/15/2019 08:24 PM - Jim Pingle

For the vast majority of users, the nginx log does not contain much of anything. I'd look into what you've got going on there. But do so on the forum.

This is not a site for that kind of discussion.

Powered by TCPDF (www.tcpdf.org)

09/09/2025 2/2

http://www.tcpdf.org

